Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 301321 - app-misc/lirc-0.8.6-r2 fails to compile with kernel 2.6.33-rc4 and gentoo-sources-2.6.33
Summary: app-misc/lirc-0.8.6-r2 fails to compile with kernel 2.6.33-rc4 and gentoo-sou...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal with 2 votes (vote)
Assignee: Television related Applications in Gentoo's Portage
URL:
Whiteboard:
Keywords:
: 306753 313027 331603 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-01-17 22:39 UTC by Markus Wernig
Modified: 2012-07-18 13:05 UTC (History)
24 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
live ebuild that appears to work currently (lirc-9999.ebuild,9.87 KB, text/plain)
2010-02-27 01:46 UTC, Tom Flair
Details
Fixes includes for autoconf.h for post 2.6.32 kernels (autoconf.patch,6.43 KB, patch)
2010-03-07 06:51 UTC, Doug Hoffman
Details | Diff
The patch I use (2.6.33.patch,6.97 KB, patch)
2010-04-06 12:33 UTC, Michał Górny
Details | Diff
and the portage/env file to apply it (lirc-0.8.6-r2,82 bytes, text/plain)
2010-04-06 12:35 UTC, Michał Górny
Details
An updated ebuild based off of the current -r3 (lirc-0.8.6-r3.ebuild,9.95 KB, text/plain)
2010-04-17 04:08 UTC, Tom Flair
Details
patching error (lirc-0.8.6-i2c.patch.out,2.61 KB, text/plain)
2010-05-21 19:11 UTC, Tomasz Golinski
Details
Fixed lirc-0.8.6-i2c.patch (lirc-0.8.6-i2c.patch,2.04 KB, patch)
2010-05-29 07:14 UTC, Keith Harrison
Details | Diff
build.log for kernel 2.6.35-r1 (build.log,23.35 KB, text/plain)
2010-08-12 17:52 UTC, RW
Details
Patch from the described URL. (lirc-0.8.7_pre2-2.6.35.patch,5.29 KB, text/plain)
2010-08-17 03:43 UTC, Tom Flair
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Wernig 2010-01-17 22:39:43 UTC
After upgrading to kernel 2.6.33-rc4, lirc fails to compile with the following errors:

make -f scripts/Makefile.build obj=/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev                                          
  i686-pc-linux-gnu-gcc -Wp,-MD,/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/.lirc_dev.o.d  -nostdinc -isystem /usr/lib/gcc/i686-pc-linux-gnu/4.4.2/include -I/usr/src/linux-2.6.33-rc4/arch/x86/include -Iinclude  -include include/generated/autoconf.h -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Wno-format-security -fno-delete-null-pointer-checks -Os -m32 -msoft-float -mregparm=3 -freg-struct-return -mpreferred-stack-boundary=2 -march=i686 -mtune=pentium3 -mtune=generic -Wa,-mtune=generic32 -ffreestanding -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -Wframe-larger-than=2048 -fno-stack-protector -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-dwarf2-cfi-asm -fconserve-stack -DIRCTL_DEV_MAJOR=61 -DEXPORT_SYMTAB -DHAVE_CONFIG_H -I. -I../.. -I/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/. -I/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/. -I/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/../.. -I/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/../.. -I/usr/src/linux//include/ -I/usr/src/linux//drivers/media/video/  -DMODULE -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(lirc_dev)"  -D"KBUILD_MODNAME=KBUILD_STR(lirc_dev)"  -c -o /var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.o /var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.c                                                                                
In file included from /var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.c:72:                                        
/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.h: In function 'lirc_buffer_init':                                 
/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.h:88: warning: passing argument 1 of 'kfifo_alloc' makes pointer from integer without a cast                                                                                                                            
include/linux/kfifo.h:109: note: expected 'struct kfifo *' but argument is of type 'unsigned int'                                                    
/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.h:88: warning: passing argument 3 of 'kfifo_alloc' makes integer from pointer without a cast                                                                                                                            
include/linux/kfifo.h:109: note: expected 'gfp_t' but argument is of type 'struct spinlock_t *'                                                      
/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.h:88: warning: assignment makes pointer from integer without a cast
/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.h: In function 'lirc_buffer_read':                                 
/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.h:185: error: implicit declaration of function 'kfifo_get'         
/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.h: In function 'lirc_buffer_write':                                
/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.h:206: error: implicit declaration of function 'kfifo_put'         
make[5]: *** [/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev/lirc_dev.o] Error 1                                           
make[4]: *** [_module_/var/tmp/portage/app-misc/lirc-0.8.6-r2/work/lirc-0.8.6/drivers/lirc_dev] Error 2

There also was a warning/error about linux/autoconf.h not being found (and then the same errors as above). After doing the following, the warning/error disappeared, but the other errors remained:
# cd /usr/src/linux/include
# ln -s /usr/src/linux/include/generated/* linux/

Kind regards
Markus
Comment 1 Markus Wernig 2010-01-17 22:40:34 UTC
# emerge --info =app-misc/lirc-0.8.6-r2                                                                                                     
Portage 2.1.7.16 (default/linux/x86/10.0/desktop, gcc-4.4.2, glibc-2.11-r1, 2.6.33-rc4 i686)                                                         
=================================================================                                                                                    
                        System Settings                                                                                                              
=================================================================                                                                                    
System uname: Linux-2.6.33-rc4-i686-Intel-R-_Core-TM-2_Duo_CPU_P8400_@_2.26GHz-with-gentoo-2.0.1                                                     
Timestamp of tree: Sun, 17 Jan 2010 09:45:03 +0000                                                                                                   
app-shells/bash:     4.0_p35                                                                                                                         
dev-java/java-config: 1.3.7-r1, 2.1.10                                                                                                               
dev-lang/python:     2.4.4-r13, 2.5.4-r2, 2.6.4, 3.1.1-r1                                                                                            
dev-python/pycrypto: 2.0.1-r8                                                                                                                        
dev-util/cmake:      2.8.0                                                                                                                           
sys-apps/baselayout: 2.0.1                                                                                                                           
sys-apps/openrc:     0.6.0                                                                                                                           
sys-apps/sandbox:    2.2                                                                                                                             
sys-devel/autoconf:  2.13, 2.65                                                                                                                      
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1                                                                               
sys-devel/binutils:  2.20                                                                                                                            
sys-devel/gcc-config: 1.4.1                                                                                                                          
sys-devel/libtool:   2.2.6b                                                                                                                          
virtual/os-headers:  2.6.30-r1                                                                                                                       
ACCEPT_KEYWORDS="x86 ~x86"                                                                                                                           
ACCEPT_LICENSE="*"                                                                                                                                   
CBUILD="i686-pc-linux-gnu"                                                                                                                           
CFLAGS="-O2 -march=pentium-m -pipe"                                                                                                                  
CHOST="i686-pc-linux-gnu"                                                                                                                            
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.2/env /usr/kde/4.2/share/config /usr/kde/4.2/shutdown /usr/kde/4.3/env /usr/kde/4.3/share/config /usr/kde/4.3/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=pentium-m -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests buildpkg distlocks fixpackages news parallel-fetch protect-owned sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://sunsite.cnlab-switch.ch/ftp/mirror/gentoo/ ftp://sunsite.cnlab-switch.ch/mirror/gentoo/ ftp://ftp.solnet.ch/mirror/Gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dfx 3dnow 3dnowext X a52 aac acl acpi alsa arts avahi bash-completion berkdb bluetooth branding bzip2 cairo caps cdda cddax cddb cdparanoia cdr cli consolekit cracklib crypt css cups cxx dbus dga dirac dns dri dts dv dvb dvd dvdnav dvdr dvdread dxr3 eds emboss encode esd evo exif faac faad fam ffmpeg firefox flac fortran ftp gdbm ggi gif gimp gmp gnome gnutls gphoto2 gpm gstreamer gtk gtkhtml gzip h323 hal hdmi http iconv imagemagick imap imlib ipv6 java jce jpeg jpeg2k kde kdeprefix kdrive kontact lame laptop lcms ldap libnotify lirc lzo mad matroska mdnsresponder-compat mikmod mime mmap mmx mmxext mng modplug modules mozilla mp3 mp4 mpeg mplayer mudflap mysql ncurses network nls nptl nptlonly nsplugin obex ogg opencore-amr openct opengl openmp openssl osdmenu oss pam pcmcia pcre pcsc pcsc-lite pda pdf perl php pipechan plasma png pnm policykit ppds pppd pvr python qt3 qt3support qt4 quicktime radio raw rdesktop readline reflection rss sasl scanner sdl session sip smartcard smp sockets spell spl sql sqlite sse sse2 ssl ssse3 startup-notification svg svga sysfs tcpd theora threads thunar tiff timidity toolame tremor truetype twolame unicode usb v4l v4l2 vcd vidix vnc vorbis wav wavpack webkit wifi win32codecs wmf x264 x86 xanim xattr xcomposite xine xinerama xml xorg xpm xscreensaver xulrunner xv xvid zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="all" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics vmmouse void alps" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en de" LIRC_DEVICES="mceusb" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel vesa vga fbdev vmware nv v4l nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

=================================================================
                        Package Settings
=================================================================

app-misc/lirc-0.8.6-r2 was built with the following:
USE="X -debug -doc -hardware-carrier -transmitter" LIRC_DEVICES="mceusb -accent -act200l -act220l -adaptec -all -alsa_usb -animax -asusdh -atilibusb -atiusb -audio -audio_alsa -avermedia -avermedia98 -avermedia_vdomate -awlibusb -bestbuy -bestbuy2 -breakoutbox -bte -bw6130 -caraca -chronos -commandir -cph06x -creative -creative_infracd -devinput -digimatrix -dsp -dvico -ea65 -ene0100 -exaudio -flyvideo -ftdi -gvbctv5pci -hauppauge -hauppauge_dvb -hercules_smarttv_stereo -i2cuser -igorplugusb -iguanaIR -imon -imon_24g -imon_knob -imon_lcd -imon_pad -imon_rsc -inputlirc -irdeo -irdeo_remote -irlink -irman -irreal -it87 -ite8709 -knc_one -kworld -leadtek_0007 -leadtek_0010 -leadtek_pvr2000 -livedrive_midi -livedrive_seq -logitech -macmini -mediafocusI -mouseremote -mouseremote_ps2 -mp3anywhere -mplay -nslu2 -packard_bell -parallel -pcmak -pcmak_usb -pctv -pixelview_bt878 -pixelview_pak -pixelview_pro -provideo -realmagic -remote_wonder_plus -remotemaster -sa1100 -samsung -sasem -sb0540 -serial -serial_igor_cesko -silitek -sir -slinke -streamzap -tekram -tekram_bt829 -tira -ttusbir -tuxbox -tvbox -udp -uirt2 -uirt2_raw -usb_uirt_raw -usbirboy -usbx -userspace -wpc8769l -xboxusb"
Comment 2 Doug Goldstein gentoo-dev 2010-01-18 20:41:41 UTC
There will be a new upstream version of lirc once 2.6.33 settles down with development. Gentoo as a whole does not support release candidate kernels.
Comment 3 Markus Wernig 2010-01-30 21:07:32 UTC
(In reply to comment #2)
> There will be a new upstream version of lirc once 2.6.33 settles down with
> development. Gentoo as a whole does not support release candidate kernels.
> 
Well, they are in portage, anyway. I thought that opening bugs was the way to point developers at problems so they could be addressed in the release candidate phase and not after. I thought this was what ~x86 was all about ;-)

kind regards /markus
Comment 4 Thomas 2010-02-21 10:54:30 UTC
Right, if gentoo don't support RC kernels they should kick them out of portage (or mask them)

but I think I found a patch (not testet): http://old.nabble.com/Compile-error:-lirc-kernel-2.6.33-rc2-td26933086.html
Comment 5 Tom Flair 2010-02-22 03:01:30 UTC
(In reply to comment #4)
> Right, if gentoo don't support RC kernels they should kick them out of portage
> (or mask them)
> 
> but I think I found a patch (not testet):
> http://old.nabble.com/Compile-error:-lirc-kernel-2.6.33-rc2-td26933086.html
> 

I tried that patch when it was posted to the list and didn't have much luck with it then.  I did it again against 2-6.33-rc8 with the same results.   This is the only hold-up to upgrading my Myth frontends.
Comment 6 Tom Flair 2010-02-25 01:10:22 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Right, if gentoo don't support RC kernels they should kick them out of portage
> > (or mask them)
> > 
> > but I think I found a patch (not testet):
> > http://old.nabble.com/Compile-error:-lirc-kernel-2.6.33-rc2-td26933086.html
> > 
> 
> I tried that patch when it was posted to the list and didn't have much luck
> with it then.  I did it again against 2-6.33-rc8 with the same results.   This
> is the only hold-up to upgrading my Myth frontends.
> 

Still no love with that patch and the official 2.6.33 release today.
Comment 7 Patrick Lauer gentoo-dev 2010-02-26 22:31:07 UTC
*** Bug 306753 has been marked as a duplicate of this bug. ***
Comment 8 Tom Flair 2010-02-27 01:46:14 UTC
Created attachment 221379 [details]
live ebuild that appears to work currently

I modified the current lirc-0.8.6-r2.ebuild to a live ebuild and tweaked it to replace the linux/autoconf.h to generated/autoconf.h.

It's a hack, but it works for me until a proper patch is released or upstream releases a new version.
Comment 9 Markus 2010-03-05 12:13:16 UTC
sys-kernel/gentoo-sources-2.6.33 has (of course) the same problem.
Comment 10 Doug Hoffman 2010-03-07 06:51:32 UTC
Created attachment 222423 [details, diff]
Fixes includes for autoconf.h for post 2.6.32 kernels
Comment 11 Doug Hoffman 2010-03-07 06:53:32 UTC
It appears that a tested patch to resolve the issues introduced by kfifo changes in 2.6.33 has existed upstream for a little over 2 months now. It can be found here: http://lirc.cvs.sourceforge.net/viewvc/lirc/lirc/drivers/lirc_dev/lirc_dev.h?hideattic=1&r1=text&r2=1.37%3Alirc-0_8_6&tr1=1.38&tr2=1.1&view=patch

See my comment #10 for a solution to the autoconf.h includes. Between these two patches, this issue should be resolved if they are implemented in the official lirc ebuild.
Comment 12 Christian Schmitt 2010-03-07 13:14:15 UTC
Applied both patches to the latest ebuild in portage and now lirc compiles again. Thanks for the fixes and hope to see this going into portage soon.
Comment 13 drose 2010-03-14 04:57:12 UTC
I've added the patch to an ebuild, but it's resulted in an error:

=================================
                                
PATCH COMMAND:  patch -p0 -g0 -E --no-backup-if-mismatch < '/usr/local/portage/app-misc/lirc/files/lirc-0.8.6-dumb.patch'
                                
=================================
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------      
|--- lirc_dev.h 2009/03/15 09:34:00     1.37 lirc-0_8_6
|+++ lirc_dev.h 2009/12/28 15:21:17     1.38
--------------------------      
No file to patch.  Skipping patch.
12 out of 12 hunks ignored      
=================================


It's clear I'm doing something wrong, but it's not clear (to me) what that is.

Does anyone know if/when this patch will be added to portage?
Comment 14 Doug Hoffman 2010-03-15 12:32:57 UTC
(In reply to comment #13)
> I've added the patch to an ebuild, but it's resulted in an error:
> [...]
> PATCH COMMAND:  patch -p0 -g0 -E --no-backup-if-mismatch <
> '/usr/local/portage/app-misc/lirc/files/lirc-0.8.6-dumb.patch'
> [...]
> can't find file to patch at input line 3
> [...]
> |--- lirc_dev.h 2009/03/15 09:34:00     1.37 lirc-0_8_6
> |+++ lirc_dev.h 2009/12/28 15:21:17     1.38

In lirc-0.8.6-dumb.patch, prefix lirc_dev.h with drivers/lirc_dev/
Comment 15 Adam Stylinski 2010-03-19 16:33:58 UTC
Why has this not been committed to portage yet?
Comment 16 Andreas K. Hüttel gentoo-dev 2010-04-03 23:15:51 UTC
*** Bug 313027 has been marked as a duplicate of this bug. ***
Comment 17 Andreas K. Hüttel gentoo-dev 2010-04-03 23:17:07 UTC
Please see also the attachment of bug 313027 for an additional required(?) patch.
Comment 18 ben adler 2010-04-05 19:23:48 UTC
The patch from comment #11 fixes the problem for me.
Comment 19 Roland 2010-04-06 11:17:43 UTC
Hello,

where is the updated ebuild for lirc to work with kernel 2.6.33?

R. R.
Comment 20 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2010-04-06 12:33:36 UTC
Created attachment 226723 [details, diff]
The patch I use
Comment 21 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2010-04-06 12:35:34 UTC
Created attachment 226725 [details]
and the portage/env file to apply it

Save the following patch as: /etc/portage/patches/app-misc/lirc-0.8.6-r2/2.6.33.patch
and the env file as: /etc/portage/env/app-misc/lirc-0.8.6-r2
Afterwards, emerge lirc as usual and patches should apply.
Comment 22 Roland 2010-04-06 14:21:03 UTC
(In reply to comment #21)
> Created an attachment (id=226725) [details]
> and the portage/env file to apply it
> 
> Save the following patch as:
> /etc/portage/patches/app-misc/lirc-0.8.6-r2/2.6.33.patch
> and the env file as: /etc/portage/env/app-misc/lirc-0.8.6-r2
> Afterwards, emerge lirc as usual and patches should apply.
> 
Hello,

portage will not use the Patch.
Which Portage Version I need?

The live ebuild with the autoconf Patch compile fine.

Regards Roland

Comment 23 DaggyStyle 2010-04-06 20:34:16 UTC
(In reply to comment #22)
> (In reply to comment #21)
> > Created an attachment (id=226725) [details] [details]
> > and the portage/env file to apply it
> > 
> > Save the following patch as:
> > /etc/portage/patches/app-misc/lirc-0.8.6-r2/2.6.33.patch
> > and the env file as: /etc/portage/env/app-misc/lirc-0.8.6-r2
> > Afterwards, emerge lirc as usual and patches should apply.
> > 
> Hello,
> 
> portage will not use the Patch.
> Which Portage Version I need?
> 
> The live ebuild with the autoconf Patch compile fine.
> 
> Regards Roland
> 

you need to create a local overlay, refer to local favorite search engine for more info.
Comment 24 Tom Flair 2010-04-17 04:08:13 UTC
Created attachment 228091 [details]
An updated ebuild based off of the current -r3

This combined with the patch from comment #20 works on 2.6.33+ kernels using the currently released 0.8.6 tarball.

For those with difficulties, save this to your local overlay and the patch to the files/ directory in that overlay, create your manifest and enjoy.
Comment 25 Iskren Slavov 2010-04-19 14:49:51 UTC
(In reply to comment #24)
> Created an attachment (id=228091) [details]
> An updated ebuild based off of the current -r3
> 
> This combined with the patch from comment #20 works on 2.6.33+ kernels using
> the currently released 0.8.6 tarball.
> 
> For those with difficulties, save this to your local overlay and the patch to
> the files/ directory in that overlay, create your manifest and enjoy.
> 

Had your problem (Couldn't build on kernel >=2.6.33).
Added the patched version to my overlay. Checkout from here if you need it:
http://git.overlays.gentoo.org/gitweb/?p=user/wish.git;a=tree;f=app-misc/lirc;h=edc493789ac8d9de24b9d5d8a52aa202f6246552;hb=8be1fd8e86055671919964ab56681f353b2b0077
Comment 26 Jeremy Sermersheim 2010-05-08 21:37:55 UTC
the files from your overlay made everything play nicely again on my system....thx!

(In reply to comment #25)
> (In reply to comment #24)
> > Created an attachment (id=228091) [details] [details]
> > An updated ebuild based off of the current -r3
> > 
> > This combined with the patch from comment #20 works on 2.6.33+ kernels using
> > the currently released 0.8.6 tarball.
> > 
> > For those with difficulties, save this to your local overlay and the patch to
> > the files/ directory in that overlay, create your manifest and enjoy.
> > 
> 
> Had your problem (Couldn't build on kernel >=2.6.33).
> Added the patched version to my overlay. Checkout from here if you need it:
> http://git.overlays.gentoo.org/gitweb/?p=user/wish.git;a=tree;f=app-misc/lirc;h=edc493789ac8d9de24b9d5d8a52aa202f6246552;hb=8be1fd8e86055671919964ab56681f353b2b0077
> 

Comment 27 John Stile 2010-05-11 13:38:17 UTC
> Had your problem (Couldn't build on kernel >=2.6.33).
> Added the patched version to my overlay. Checkout from here if you need it:
> http://git.overlays.gentoo.org/gitweb/?p=user/wish.git;a=tree;f=app-misc/lirc;h=edc493789ac8d9de24b9d5d8a52aa202f6246552;hb=8be1fd8e86055671919964ab56681f353b2b0077
> 
This workes for with linux-2.6.33-gentoo-r2, where my kernel .config contains CONFIG_MATOM=y, as long as I comment out  LIRC_DEVICES="all" in /etc/make.conf.
Thank you!
When /etc/make.conf had uncommented LIRC_DEVICES="all" it fails the error snips:

make[3]: Entering directory `/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_dev'
cp ./../lirc_dev/Module*.symvers .                                                                    
cp: cannot stat `./../lirc_dev/Module*.symvers': No such file or directory                            
make[3]: [lirc_dev.o] Error 1 (ignored)                                                               

Comment 28 Steve Dibb (RETIRED) gentoo-dev 2010-05-21 02:47:19 UTC
Can you guys try either 0.8.6-r3 or 0.8.7_pre1
Comment 29 Tomasz Golinski 2010-05-21 19:11:43 UTC
Created attachment 232391 [details]
patching error

0.8.6-r3 fails patching, but 0.8.7_pre1 compiles and works ok. 
I have linux-2.6.33-ck-r1.
Comment 30 Adam Stylinski 2010-05-22 17:06:36 UTC
(In reply to comment #29)
> Created an attachment (id=232391) [details]
> patching error
> 
> 0.8.6-r3 fails patching, but 0.8.7_pre1 compiles and works ok. 
> I have linux-2.6.33-ck-r1.
> 

works with *.34 as well.  About time :).  Been waiting for this ebuild to get fixed for a while.

It should be noted that the only driver I'm compiling is LIRC_DEVICES="lirc-serial".  I can't vouch for the rest.
Comment 31 Keith Harrison 2010-05-25 06:35:38 UTC
0.8.6-r3 fails on lirc-0.8.6-i2c.patch

I filed Bug 321265 at http://bugs.gentoo.org/show_bug.cgi?id=321265 before I saw this one, not sure if I should mark it as a duplicate.

0.8.7_pre1 compiles fine but is not working properly with imon_lcd.  If I cat /dev/lirc0 I can see output, but using irw (or mythtv) I get nothing.  But 0.8.5 is also doing the same thing for me so maybe I messed something else up.

I am using 2.6.32-r9.
Comment 32 Keith Harrison 2010-05-29 07:14:26 UTC
Created attachment 233369 [details, diff]
Fixed lirc-0.8.6-i2c.patch

Fixed lirc-0.8.6-i2c.patch

lirc-0.8.6-r3 now compiles fine with this patch instead of the original.  

I just deleted the first part of the patch that had the filename/version/timestamp info.
Comment 33 G.K.MacGregor 2010-06-25 21:34:03 UTC
This patch doesn't work for me with LIRC_DEVICES="hauppauge".

make[4]: Entering directory `/usr/src/linux-2.6.33-gentoo-r2'                                       
test -e include/generated/autoconf.h -a -e include/config/auto.conf || (                \           
        echo;                                                           \                           
        echo "  ERROR: Kernel configuration is invalid.";               \                           
        echo "         include/generated/autoconf.h or include/config/auto.conf are missing.";\     
        echo "         Run 'make oldconfig && make prepare' on kernel src to fix it.";  \           
        echo;                                                           \                           
        /bin/false)                                                                                 
mkdir -p /var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/.tmp_versions ; rm -f /var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/.tmp_versions/*        
make -f scripts/Makefile.build obj=/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c                                                                                             
  x86_64-pc-linux-gnu-gcc -Wp,-MD,/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/.lirc_i2c.o.d  -nostdinc -isystem /usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3/include -I/usr/src/linux-2.6.33-gentoo-r2/arch/x86/include -Iinclude  -include include/generated/autoconf.h -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Wno-format-security -fno-delete-null-pointer-checks -O2 -m64 -march=k8 -mno-red-zone -mcmodel=kernel -funit-at-a-time -maccumulate-outgoing-args -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -Wframe-larger-than=2048 -fno-stack-protector -fomit-frame-pointer -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-dwarf2-cfi-asm -fconserve-stack -DIRCTL_DEV_MAJOR=61 -DEXPORT_SYMTAB -DHAVE_CONFIG_H -I. -I../.. -I/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/. -I/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/. -I/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/../.. -I/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/../.. -I/usr/src/linux//include/ -I/usr/src/linux//drivers/media/video/  -DMODULE -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(lirc_i2c)"  -D"KBUILD_MODNAME=KBUILD_STR(lirc_i2c)"  -c -o /var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/lirc_i2c.o /var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/lirc_i2c.c                                                                                  
/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/lirc_i2c.c:402: error: unknown field 'id' specified in initializer                                                             
/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/lirc_i2c.c:402: warning: initialization makes pointer from integer without a cast                                              
make[5]: *** [/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c/lirc_i2c.o] Error 1                                                                                              
make[4]: *** [_module_/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c] Error 2                                                                                                 
make[4]: Leaving directory `/usr/src/linux-2.6.33-gentoo-r2'                                        
make[3]: *** [lirc_i2c.o] Error 2                                                                   
make[3]: Leaving directory `/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers/lirc_i2c'                                                                                                   
make[2]: *** [all-recursive] Error 1                                                                
make[2]: Leaving directory `/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6/drivers'        
make[1]: *** [all-recursive] Error 1                                                                
make[1]: Leaving directory `/var/tmp/portage/app-misc/lirc-0.8.6-r3/work/lirc-0.8.6'                
make: *** [all] Error 2                                                                             
 * ERROR: app-misc/lirc-0.8.6-r3 failed:                                                            
 *   Unable to emake HOSTCC=x86_64-pc-linux-gnu-gcc CROSS_COMPILE=x86_64-pc-linux-gnu- LDFLAGS=   all                                                                                                   
 *                                                                                                  
 * Call stack:                                                                                      
 *     ebuild.sh, line   48:  Called src_compile                                                    
 *   environment, line 4670:  Called linux-mod_src_compile                                          
 *   environment, line 3649:  Called die                                                            
 * The specific snippet of code:                                                                    
 *               eval "emake HOSTCC=\"$(tc-getBUILD_CC)\"                                          CROSS_COMPILE=${CHOST}-                                          LDFLAGS=\"$(get_abi_LDFLAGS)\"     ${BUILD_FIXES}                                           ${BUILD_PARAMS}                            ${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CROSS_COMPILE=${CHOST}- LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";


Portage 2.2_rc67 (default/linux/amd64/10.0/desktop/kde, gcc-4.4.3, glibc-2.11.1-r0, 2.6.33-gentoo-r2 x86_64)                                                                                            
=================================================================                                   
System uname: Linux-2.6.33-gentoo-r2-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_5200+-with-gentoo-1.12.13                                                                                          
Timestamp of tree: Fri, 25 Jun 2010 18:45:01 +0000                                                  
app-shells/bash:     4.0_p37                                                                        
dev-java/java-config: 2.1.10                                                                        
dev-lang/python:     2.6.5-r2                                                                       
dev-util/cmake:      2.6.4-r3                                                                       
sys-apps/baselayout: 1.12.13                                                                        
sys-apps/sandbox:    2.2                                                                            
sys-devel/autoconf:  2.65                                                                           
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1                                             
sys-devel/binutils:  2.20.1-r1                                                                      
sys-devel/gcc:       4.4.3-r2                                                                       
sys-devel/gcc-config: 1.4.1                                                                         
sys-devel/libtool:   2.2.6b                                                                         
virtual/os-headers:  2.6.30-r1                                                                      
ACCEPT_KEYWORDS="amd64"                                                                             
ACCEPT_LICENSE="*"                                                                                  
CBUILD="x86_64-pc-linux-gnu"                                                                        
CFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer"                                             
CHOST="x86_64-pc-linux-gnu"                                                                         
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"                                          
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"                                           
CXXFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer"                                           
DISTDIR="/usr/distfiles"                                                                            
FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch userpriv usersandbox"                      
GENTOO_MIRRORS="http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/ http://ftp.heanet.ie/pub/gentoo/ http://www.mirror.ac.uk/mirror/www.ibiblio.org/ http://gentoo.oregonstate.edu/ http://www.ibiblio.org/pub/Linux/distributions/gentoo"                                                           
LDFLAGS="-Wl,-O1 -Wl,--enable-new-dtags -Wl,--sort-common -Wl,--as-needed -Wl,--relax"              
LINGUAS="en_GB"                                                                                     
MAKEOPTS="-j3"                                                                                      
PKGDIR="/usr/local/portage/packages"                                                                
PORTAGE_CONFIGROOT="/"                                                                              
PORTAGE_RSYNC_EXTRA_OPTS="--timeout=500 --exclude='/gnustep-**' --exclude='/rox-**' --exclude='/xfce-**'"                                                                                               
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync1.uk.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa amd64 bluetooth bzip2 cdda cdparanoia cdr chm cjk cli crypt css cups cxx dbus dga dri dts dv dvd dvdr emboss encode exif faac faad ffmpeg flac gif gimp gtk hal iconv ieee1394 imagemagick java joystick jpeg kde lame lcdfilter lcms libnotify lirc live lzo mad mikmod mmx mmxext mng modules mp2 mp3 mp4 mpeg mplayer msn mudflap multilib ncurses network newspr nls nptl nptlonly nsplugin ogg opengl openmp pango pcre pdf png ppds pppd qt3support qt4 quicktime readline reflection rss rtc sdl session sndfile speex spell spl srt sse sse2 ssl startup-notification svg sysfs theora threads tiff truetype ubuntu unicode usb v4l v4l2 vdpau vnc vorbis wlm wma x264 xcb xcomposite xine xinerama xml xorg xulrunner xv xvid yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="imon" LINGUAS="en_GB" LIRC_DEVICES="hauppauge" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 34 RW 2010-08-12 17:51:15 UTC
Currently no lirc version is working with gentoo-sources-2.6.35-r1. If I do not compile any drivers I can install lirc. But with

LIRC_DEVICES="streamzap"

it fails. See attached build.log

emerge --info:
Portage 2.1.8.3 (default/linux/amd64/10.0, gcc-4.3.4, glibc-2.10.1-r1, 2.6.35-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.35-gentoo-r1-x86_64-Intel-R-_Core-TM-2_CPU_6700_@_2.66GHz-with-gentoo-1.12.13
Timestamp of tree: Thu, 12 Aug 2010 05:15:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 1.3.7-r1, 2.1.10
dev-lang/python:     2.4.6, 2.5.4-r3, 2.6.4-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.34
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ "
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/transfer/tmp/portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 apache2 bash-completion berkdb bluetooth bmp bzip2 cairo cdparanoia cdr clamav cli cracklib crypt cups curl cxx dbus dri dv dvb dvd dvdr dvdread eds encode esd ethereal evo exif expat faad fam ffmpeg firefox flac fortran gcj gd gdbm gif glitz gnome gnutls gpm gstreamer gtk hal iconv ieee1394 imagemagick ipv6 jpeg kde kerberos libg++ lirc lm_sensors mad matroska mbox mikmod mjpeg mmx modules mono mp3 mpeg mudflap multilib nas ncurses nls nptl nptlonly ogg opengl openmp oss pam pcre pdf perl png posix postgres pppd python qt3 qt3support quicktime readline reflection ruby samba sasl scanner sdl session spell spl sse sse2 ssl streamzap svg sysfs tcpd theora tidy tiff truetype unicode usb v4l vcd vorbis wifi wmf wxwindows xine xinerama xml xmms xorg xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en de" LIRC_DEVICES="streamzap" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vesa fbdev v4l vga" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Since 2.6.33 and 2.6.34 wont be supported by the kernel developers within the next few weeks any more I thougth I would give 2.6.35 a try. 2.6.32 is running fine with lirc 0.8.5.

Thanks!
Robert
Comment 35 RW 2010-08-12 17:52:46 UTC
Created attachment 242641 [details]
build.log for kernel 2.6.35-r1
Comment 36 Jesse Adelman 2010-08-12 18:31:51 UTC
Hrm, I'm running 0.8.7_pre1 lirc with "X kernel_linux lirc_devices_hauppauge" set, under gentoo-sources-2.6.35 (not -r1) on x86, and it works for me. Perhaps try yours with g-s-2.6.35 (not -r1) and see if that works. If it does, then the problem may be with the -r1+ patches.
Comment 37 RW 2010-08-12 18:38:03 UTC
Looks like that this can fix the problem:

http://old.nabble.com/lirc%3A-add-compatibility-for-kernel-2.6.35-td29209492.html
Comment 38 RW 2010-08-12 19:37:03 UTC
2.6.35 (without -r1) have the same problem for me.
Comment 39 RW 2010-08-12 20:56:15 UTC
Just for the records: Kernel 2.6.34-r4 is working with lirc 0.8.7_pre1 and streamzap module.
Comment 40 Tom Flair 2010-08-16 22:10:22 UTC
(In reply to comment #37)
> Looks like that this can fix the problem:
> 
> http://old.nabble.com/lirc%3A-add-compatibility-for-kernel-2.6.35-td29209492.html
> 

Cool.  Upgraded to pre2 and added this patch into my local overlay and it works beautifully with mceusb.
Comment 41 Craig Andrews gentoo-dev 2010-08-17 03:12:33 UTC
(In reply to comment #40)
> (In reply to comment #37)
> > Looks like that this can fix the problem:
> > 
> > http://old.nabble.com/lirc%3A-add-compatibility-for-kernel-2.6.35-td29209492.html
> > 
> 
> Cool.  Upgraded to pre2 and added this patch into my local overlay and it works
> beautifully with mceusb.
> 

Can you attach the patch you used?

I tried copy/paste, but the patch doesn't apply to 0.8.7_pre2.
Comment 42 Tom Flair 2010-08-17 03:43:11 UTC
Created attachment 243301 [details]
Patch from the described URL.

With regards to the previous comment, here is the exact patch that I used.

Also:
        if kernel_is ge 2 6 35 ; then
                ewarn "Patching to build with 2.6.35+"
                epatch ${FILESDIR}/lirc-0.8.7_pre2-2.6.35.patch
        fi
Comment 43 Craig Andrews gentoo-dev 2010-08-17 04:32:56 UTC
(In reply to comment #42)
> Created an attachment (id=243301) [details]
> Patch from the described URL.
> 
> With regards to the previous comment, here is the exact patch that I used.
> 
> Also:
>         if kernel_is ge 2 6 35 ; then
>                 ewarn "Patching to build with 2.6.35+"
>                 epatch ${FILESDIR}/lirc-0.8.7_pre2-2.6.35.patch
>         fi

Excellent! I just tried it out, and my remote is functional again. Thank you! Let's get this into portage :-)
Comment 44 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2010-08-17 06:41:01 UTC
(In reply to comment #42)
> Also:
>         if kernel_is ge 2 6 35 ; then
>                 ewarn "Patching to build with 2.6.35+"
>                 epatch ${FILESDIR}/lirc-0.8.7_pre2-2.6.35.patch
>         fi

AFAICS the patch seems to retain compatibility with older kernel versions. I don't see a need for the conditional then. And even if, einfo shall be used instead of ewarn, and ${FILESDIR} shall be quoted.
Comment 45 Tom Flair 2010-08-17 13:56:29 UTC
(In reply to comment #44)
> (In reply to comment #42)
> > Also:
> >         if kernel_is ge 2 6 35 ; then
> >                 ewarn "Patching to build with 2.6.35+"
> >                 epatch ${FILESDIR}/lirc-0.8.7_pre2-2.6.35.patch
> >         fi
> 
> AFAICS the patch seems to retain compatibility with older kernel versions. I
> don't see a need for the conditional then. And even if, einfo shall be used
> instead of ewarn, and ${FILESDIR} shall be quoted.
> 

I didn't test the patch with anything below 2.6.35 and ran with the notes that it was intended for compatibility.

As for the einfo and ${FILESDIR}, you are absolutely correct.  Thank you for elucidating that.
Comment 46 Gregg Casillo 2010-09-01 21:04:41 UTC
Supplied patch worked for me with a 2.6.35-r5 kernel. Any chance of getting this in portage for permanence's sake?
Comment 47 thomas 2010-09-15 08:04:42 UTC
pre1 did compile for me with 2.6.35, but it does not create /dev/lirc0. Neither does it with the pre2 patch.
Comment 48 Carl G. Pettit 2010-09-19 20:24:41 UTC
(In reply to comment #47)
> pre1 did compile for me with 2.6.35, but it does not create /dev/lirc0. Neither
> does it with the pre2 patch.
> 
Without wishing to sound like a forum howto:
0.8.5, creates /dev/lircd for the first device and I expect this to be the case here. If it does not, then it is not working. Use irw. If this outputs something like "0000000080010002 00 KEY_1 devinput" then it is working and the /dev entry will be there. If it outputs just the number 1 or the number 1 appears on the command line anyway and the Up/Down/Left/Right keys act as cursor keys then HAL has captured the kernel module as a keyboard and mouse combination (if you are using HAL).

This can be overcome by adding the file /etc/hal/fdi/policy/100-user-lirc.fdi with the contents of:

<?xml version="1.0" encoding="ISO-8859-1"?>
<deviceinfo version="0.2">
<device>
        <match key="linux.sysfs_path" contains="/sys/devices/virtual/rc">
                <merge key="info.ignore" type="bool">true</merge>
        </match>
</device>
</deviceinfo>

Restart hald and then lirc. If it works, then file a bug against HAL, listing the above fix.
Comment 49 Pacho Ramos gentoo-dev 2012-04-29 13:00:21 UTC
0.8.7 is now stable
Comment 50 Ian Stakenvicius gentoo-dev 2012-07-18 13:05:43 UTC
*** Bug 331603 has been marked as a duplicate of this bug. ***